Download

Solved/Closed
having trouble - Feb 7, 2009 at 07:20 PM
xpcman Posts 19532 Registration date Wednesday October 8, 2008 Status Contributor Last seen June 15, 2019 - Feb 7, 2009 at 07:27 PM
Hello,I needed to download Mozilla Firefox to my ME2000. After downloaded said I have to have 2000 or newer. Why did't it download?

1 reply

xpcman Posts 19532 Registration date Wednesday October 8, 2008 Status Contributor Last seen June 15, 2019 1,829
Feb 7, 2009 at 07:27 PM
Firefox 3 does NOT run on Windows ME - you will have to download an older version.
0